{% extends 'layout_oat.html' %}
{% load static %}
{% block main %}
<style>
    .filterDiv {
        float: left;
        border: 1px solid rgb(110, 108, 108);
        color: #000;
        /* background-color: #47ff41; */
        /* width: 130px; */
        /* line-height: 100px; */
        /* text-align: center; */
        /* margin: -2px; */
        display: none;
    }

    .show {
        display: block;
    }

    .container {
        margin-top: 20px;
        overflow: hidden;
    }

    /* Style the buttons */
    .btn {
        border: none;
        outline: none;
        padding: 12px 16px;
        background-color: #f1f1f1;
        cursor: pointer;
    }

    .btn:hover {
        background-color: #ddd;
    }

    .btn.active {
        background-color: #666;
        color: white;
    }
</style>
<div class="row">
    <div class="container-01">
        <div class="card">
            <div class="col-12">
                <h3>ผลผลิตการเกษตร </h3>
                <a href="https://www.w3schools.com/howto/howto_js_filter_lists.asp">ค้นหา</a>
                <a href="https://www.w3schools.com/howto/tryit.asp?filename=tryhow_js_filter_elements">elements</a>
            </div>
            <div class="col-12">
                <!-- <input class="input-search" type="text" name="search" placeholder="Search.."> -->
                <input class="input-search" type="text" id="myInput" onkeyup="myFunctionSearch()"
                    placeholder="Search for names.." title="Type in a name">
            </div>

            <div class="row">

                <div class="col-12">

                    <div id="myBtnContainer">
                            <button class="btn active" onclick="filterSelection('all')">ทั้งหมด</button>
                            <!-- <button class="btn" onclick="filterSelection('cars')"> Cars</button>
                            <button class="btn" onclick="filterSelection('animals')"> Animals</button>
                            <button class="btn" onclick="filterSelection('fruits')"> Fruits</button>
                            <button class="btn" onclick="filterSelection('colors')"> Colors</button> -->

                            
                            <button class="btn" onclick="filterSelection('field_crops')">พืชไร่</button>
                            <button class="btn" onclick="filterSelection('horticulture')">พืชสวน</button>
                            <button class="btn" onclick="filterSelection('vegetables')">พืชผัก</button>
                            <button class="btn" onclick="filterSelection('orchid')">กล้วยไม้</button>
                            <button class="btn" onclick="filterSelection('livestock')">ปศุสัตว์</button>
                            <button class="btn" onclick="filterSelection('fishery')">ประมง</button>
                    </div>

                    <div class="container">
                        <!-- <div class="filterDiv cars">BMW</div>
                        <div class="filterDiv colors fruits">Orange</div>
                        <div class="filterDiv cars">Volvo</div>
                        <div class="filterDiv colors">Red</div>
                        <div class="filterDiv cars animals">Mustang</div>
                        <div class="filterDiv colors">Blue</div>
                        <div class="filterDiv animals">Cat</div>
                        <div class="filterDiv animals">Dog</div>
                        <div class="filterDiv fruits">Melon</div>
                        <div class="filterDiv fruits animals">Kiwi</div>
                        <div class="filterDiv fruits">Banana</div>
                        <div class="filterDiv fruits">Lemon</div>
                        <div class="filterDiv animals">Cow</div> -->

                        <!-- {% static 'assets/image_1.png' %} -->

                        <div class="col-2 filterDiv field_crops"><p>ข้าวนาปี</p><img class="img-max-width" src="https://www.chaipat.or.th/images/Media/rice-1594612_960_720.jpg" alt="ข้าวนาปี"></div>
                        <div class="col-2 filterDiv field_crops"><p>ข้าวนาปรัง</p><img class="img-max-width" src="" alt="ข้าวนาปรัง"></div>
                        <div class="col-2 filterDiv field_crops"><p>ข้าวโพดเลี้ยงสัตว์</p><img class="img-max-width" src="https://www.technologychaoban.com/wp-content/uploads/2016/10/RP6.jpg" alt="ข้าวโพดเลี้ยงสัตว์"></div>
                        <div class="col-2 filterDiv field_crops"><p>มันสำปะหลัง</p><img class="img-max-width" src="" alt="มันสำปะหลัง"></div>
                        <div class="col-2 filterDiv field_crops"><p>สับปะรด</p><img class="img-max-width" src="" alt="สับปะรด"></div>
                        <div class="col-2 filterDiv field_crops"><p>ถั่วเหลือง</p><img class="img-max-width" src="" alt="ถั่วเหลือง"></div>
                        <div class="col-2 filterDiv field_crops"><p>อ้อยโรงงาน</p><img class="img-max-width" src="" alt="อ้อยโรงงาน"></div>
                        <div class="col-2 filterDiv field_crops"><p>ถั่วเขียว</p><img class="img-max-width" src="" alt="ถั่วเขียว"></div>
                        <div class="col-2 filterDiv field_crops"><p>ถั่วลิสง</p><img class="img-max-width" src="" alt="ถั่วลิสง"></div>
                        <div class="col-2 filterDiv field_crops"><p>ข้าวฟ่าง</p><img class="img-max-width" src="" alt="ข้าวฟ่าง"></div>
                        <div class="col-2 filterDiv field_crops"><p>ฝ้าย</p><img class="img-max-width" src="" alt="ฝ้าย"></div>
                        <div class="col-2 filterDiv field_crops"><p>ปอ</p><img class="img-max-width" src="" alt="ปอ"></div>
                        <div class="col-2 filterDiv field_crops"><p>ทานตะวัน</p><img class="img-max-width" src="" alt="ทานตะวัน"></div>
                        <div class="col-2 filterDiv horticulture"><p>ยางพารา</p><img class="img-max-width" src="" alt="ยางพารา"></div>
                        <div class="col-2 filterDiv horticulture"><p>ปาล์มน้ำมัน</p><img class="img-max-width" src="" alt="ปาล์มน้ำมัน"></div>
                        <div class="col-2 filterDiv horticulture"><p>กาแฟ</p><img class="img-max-width" src="" alt="กาแฟ"></div>
                        <div class="col-2 filterDiv horticulture"><p>ลำไย</p><img class="img-max-width" src="" alt="ลำไย"></div>
                        <div class="col-2 filterDiv horticulture"><p>ทุเรียน</p><img class="img-max-width" src="" alt="ทุเรียน"></div>
                        <div class="col-2 filterDiv horticulture"><p>เงาะ</p><img class="img-max-width" src="" alt="เงาะ"></div>
                        <div class="col-2 filterDiv horticulture"><p>มังคุด</p><img class="img-max-width" src="" alt="มังคุด"></div>
                        <div class="col-2 filterDiv horticulture"><p>ลิ้นจี่</p><img class="img-max-width" src="" alt="ลิ้นจี่"></div>
                        <div class="col-2 filterDiv horticulture"><p>ลองกอง</p><img class="img-max-width" src="" alt="ลองกอง"></div>
                        <div class="col-2 filterDiv horticulture"><p>พริกไทย</p><img class="img-max-width" src="" alt="พริกไทย"></div>
                        <div class="col-2 filterDiv horticulture"><p>มะพร้าว</p><img class="img-max-width" src="" alt="มะพร้าว"></div>
                        <div class="col-2 filterDiv horticulture"><p>ส้มเขียวหวาน</p><img class="img-max-width" src="" alt="ส้มเขียวหวาน"></div>
                        <div class="col-2 filterDiv horticulture"><p>มะนาว</p><img class="img-max-width" src="" alt="มะนาว"></div>
                        <div class="col-2 filterDiv horticulture"><p>ฝรั่ง</p><img class="img-max-width" src="" alt="ฝรั่ง"></div>
                        <div class="col-2 filterDiv vegetables"><p>หอมแดง</p><img class="img-max-width" src="" alt="หอมแดง"></div>
                        <div class="col-2 filterDiv vegetables"><p>กระเทียม</p><img class="img-max-width" src="" alt="กระเทียม"></div>
                        <div class="col-2 filterDiv vegetables"><p>หอมหัวใหญ่</p><img class="img-max-width" src="" alt="หอมหัวใหญ่"></div>
                        <div class="col-2 filterDiv vegetables"><p>มันฝรั่ง</p><img class="img-max-width" src="" alt="มันฝรั่ง"></div>
                        <div class="col-2 filterDiv vegetables"><p>มะเขือเทศ</p><img class="img-max-width" src="" alt="มะเขือเทศ"></div>
                        <div class="col-2 filterDiv vegetables"><p>กะหล่ำปลี</p><img class="img-max-width" src="" alt="กะหล่ำปลี"></div>
                        <div class="col-2 filterDiv vegetables"><p>แตงกวา</p><img class="img-max-width" src="" alt="แตงกวา"></div>
                        <div class="col-2 filterDiv vegetables"><p>หน่อไม้ฝรั่ง</p><img class="img-max-width" src="" alt="หน่อไม้ฝรั่ง"></div>
                        <div class="col-2 filterDiv vegetables"><p>ข้าวโพดหวาน</p><img class="img-max-width" src="" alt="ข้าวโพดหวาน"></div>
                        <div class="col-2 filterDiv vegetables"><p>ข้าวโพดฝักอ่อน</p><img class="img-max-width" src="" alt="ข้าวโพดฝักอ่อน"></div>
                        <div class="col-2 filterDiv vegetables"><p>กระเจี๊ยบเขียว</p><img class="img-max-width" src="" alt="กระเจี๊ยบเขียว"></div>
                        <div class="col-2 filterDiv livestock"><p>ไก่เนื้อ</p><img class="img-max-width" src="" alt="ไก่เนื้อ"></div>
                        <div class="col-2 filterDiv livestock"><p>ไก่ไข่</p><img class="img-max-width" src="" alt="ไก่ไข่"></div>
                        <div class="col-2 filterDiv livestock"><p>สุกร</p><img class="img-max-width" src="" alt="สุกร"></div>
                        <div class="col-2 filterDiv livestock"><p>โคนม</p><img class="img-max-width" src="" alt="โคนม"></div>
                        <div class="col-2 filterDiv livestock"><p>โคเนื้อ</p><img class="img-max-width" src="" alt="โคเนื้อ"></div>
                        <div class="col-2 filterDiv livestock"><p>กระบือ</p><img class="img-max-width" src="" alt="กระบือ"></div>
                        <div class="col-2 filterDiv livestock"><p>ไก่พื้นเมือง</p><img class="img-max-width" src="" alt="ไก่พื้นเมือง"></div>
                        <div class="col-2 filterDiv livestock"><p>เป็ดเนื้อ</p><img class="img-max-width" src="" alt="เป็ดเนื้อ"></div>
                        <div class="col-2 filterDiv livestock"><p>เป็ดไข่</p><img class="img-max-width" src="" alt="เป็ดไข่"></div>
                        <div class="col-2 filterDiv fishery"><p>กุ้งเพาะเลี้ยง</p><img class="img-max-width" src="https://images.workpointnews.com/workpointnews/2020/06/02102434/1591068269_93662_S__18677823.jpg" alt="กุ้งเพาะเลี้ยง"></div>
                        <div class="col-2 filterDiv fishery"><p>ปลาน้ำจีด</p><img class="img-max-width" src="" alt="ปลาน้ำจีด"></div>
                    </div>

                </div>
            </div>

            <div class="row">
                <div class="col-3">
                    <h3>ข้าว</h3><img src="{% static 'assets/image_1.png' %}" class="gwd-img-158m">
                </div>
                <div class="col-3">
                    <h3>ข้าวโพด</h3><img src="{% static 'assets/image_3.png' %}" class="gwd-img-1xev">
                </div>
                <div class="col-3">
                    <h3>มันสำปะหลัง</h3><img src="{% static 'assets/image_7.png' %}" class="gwd-img-swtg">
                </div>
                <div class="col-3">
                    <h3>ยางพารา</h3><img src="{% static 'assets/image_8.png' %}" class="gwd-img-1aue">
                </div>
            </div>


            <div class="row">
                <div class="col-6">
                    <ul id="myUL">
                        <li><a href="#">ข้าว</a></li>
                        <li><a href="#">ข้าวโพด</a></li>
                        <li><a href="#">มันสำปะหลัง</a></li>
                        <li><a href="#">ยางพารา</a></li>
                    </ul>
                    <!-- <li><a href="#">Adele</a></li>
                    <li><a href="#">Agnes</a></li>
                    <li><a href="#">Billy</a></li>
                    <li><a href="#">Bob</a></li>
                    <li><a href="#">Calvin</a></li>
                    <li><a href="#">Christina</a></li>
                    <li><a href="#">Cindy</a></li> -->
                </div>
            </div>

        </div>
    </div>

    <div class="row">
        <div class="container-01">
            <div class="card">
                <h3>เรื่องราวและข้อมูลเชิงลึก</h3>
                <div class="row">
                    <div class="col-6"><img style="width: 100%;" src="{% static 'assets/image_11.png' %}"
                            class="gwd-img-scz7"></div>
                    <div class="col-6">
                        <h3>แนวโน้มของผลผลิตการเกษตร</h3>
                        <p>สถานการณ์สินค้าเกษตรของไทยในปี 2563 ยังคงถูกกดดันจากภาวะภัยแล้งและการชะลอของเศรษฐกิจโลก
                            โดยไทยอาจยังเผชิญสภาวะแล้งสะสมต่อเนื่องจากปี 2562 ดังนั้นจึงมีความจำเป็น
                            ต้องจับตาสถานการณ์น้ำเพื่อเตรียมรับมือในการจัดการความเสี่ยงอย่างใกล้ชิด
                            โดยคาดว่าพื้นที่ทางการเกษตรในภาคเหนือและภาคอีสานมีความเสี่ยงที่จะได้รับผลกระทบจากภัยแล้งในปีการ
                            เพาะปลูก 2563 มากที่สุด</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- <div class="row">
    <div class="leftcolumn">
        <div class="card">
            <h2>About Me</h2>
            <div class="fakeimg" style="height:100px;">Image</div>
            <p>Some text about me in culpa qui officia deserunt mollit anim..</p>
        </div>
        <div class="card">
            <h3>Popular Post</h3>
            <div class="fakeimg">
                <p>Image</p>
            </div>
            <div class="fakeimg">
                <p>Image</p>
            </div>
            <div class="fakeimg">
                <p>Image</p>
            </div>
        </div>
        <div class="card">
            <h3>Follow Me</h3>
            <p>Some text..</p>
        </div>
    </div>
    <div class="rightcolumn">
        <div class="card">
            <h2>TITLE HEADING</h2>
            <h5>Title description, Dec 7, 2017</h5>
            <div class="fakeimg" style="height:200px;">Image</div>
            <p>Some text..</p>
            <p>Sunt in culpa qui officia deserunt mollit anim id est laborum consectetur adipiscing elit, sed do
                eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
                exercitation ullamco.</p>
        </div>
        <div class="card">
            <h2>TITLE HEADING</h2>
            <h5>Title description, Sep 2, 2017</h5>
            <div class="fakeimg" style="height:200px;">Image</div>
            <p>Some text..</p>
            <p>Sunt in culpa qui officia deserunt mollit anim id est laborum consectetur adipiscing elit, sed do
                eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud
                exercitation ullamco.</p>
        </div>
    </div>
</div> -->
{% endblock %}